For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Scout DocsAccess Scout
API & SDK
API & SDK
  • Endpoints
      • STREAMGet logs for a workflow
      • GETGet full details for a specific workflow log
LogoLogo
Scout DocsAccess Scout
EndpointsWorkflow Logs

Get logs for a workflow

Beta
GET
https://api.scoutos.com/v2/run_logs
GET
/v2/run_logs
$curl -G https://api.scoutos.com/v2/run_logs \
> -H "Authorization: Bearer <token>" \
> -d workflow_id=workflow_id
Was this page helpful?
Previous

Get full details for a specific workflow log

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

workflow_idstringRequired
start_datestring or nullOptional
end_datestring or nullOptional
limitintegerOptionalDefaults to 50
session_idstring or nullOptional
statusstring or nullOptional
cursorstring or nullOptional
summary_onlybooleanOptionalDefaults to false

Response

Successful Response
RunLogobject
OR
RunLogPaginationobject

Errors

422
Unprocessable Entity Error